/*
 * FreeMarker: a tool that allows Java programs to generate HTML
 * output using templates.
 * Copyright (C) 1998-2005 Benjamin Geer
 * Email: beroul@users.sourceforge.net
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA  02111-1307, USA.
 */
package freemarker.ext.beans2;

import java.util.List;
import java.lang.reflect.Field;
import java.lang.reflect.Method;
import java.beans.PropertyDescriptor;

/**
 * @author Nicholas Cull
 * @version $Id: Features.java 1109 2005-09-09 11:21:12Z run2000 $
 * @since 1.9
 */
public interface Features<T> {

    List<Method> getMethods( String name );

    PropertyDescriptor getProperty( String name );

    Field getField( String name );

    T[] getEnumValues();
}
