/*
 * FreeMarker: a tool that allows Java programs to generate HTML
 * output using templates.
 * Copyright (C) 1998-2004 Benjamin Geer
 * Email: beroul@users.sourceforge.net
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA  02111-1307, USA.
 */

package freemarker.testcase;

/**
 * Exception thrown whenever a test case fails. The error contains details
 * about the failure.
 *
 * @version $Id: TestCaseException.java 1009 2004-10-18 04:20:29Z run2000 $
 */
public class TestCaseException extends java.lang.Exception {

    /** Serialization UUID for this class. */
    private static final long serialVersionUID = 8805659305796807902L;

    /**
     * Creates new <code>TestCaseException</code> without detail message.
     */
    public TestCaseException () {
    }


    /**
     * Constructs an <code>TestCaseException</code> with the specified detail
     * message.
     *
     * @param msg the detail message.
     */
    public TestCaseException (String msg) {
        super(msg);
    }
}


