/*
 * FreeMarker: a tool that allows Java programs to generate HTML
 * output using templates.
 * Copyright (C) 1998-2004 Benjamin Geer
 * Email: beroul@users.sourceforge.net
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA  02111-1307, USA.
 */
package freemarker.testcase.models;

import java.io.Writer;
import java.io.IOException;
import java.io.PrintWriter;
import java.util.List;

import freemarker.template.instruction.TemplateFunctionModel;
import freemarker.template.*;
import freemarker.template.expression.ExpressionUtils;

/**
 * A simple test of the TemplateFunctionModel interface.
 *
 * @author run2000
 * @version $Id: FunctionModel1.java 1124 2005-10-04 10:48:45Z run2000 $
 */
public class FunctionModel1 implements TemplateFunctionModel {

    public boolean isEmpty() throws TemplateModelException {
        return false;
    }

    public void callFunction( TemplateWriteableHashModel modelRoot, Writer out,
                              TemplateRuntimeHandler eventHandler,
                              List argValues ) throws IOException,
            TemplateModelException {

        PrintWriter pw = new PrintWriter( out );
        pw.println( "<p>There are " + argValues.size() + " arguments passed in.<br>" );
        pw.println( "Printing them as Strings:<br>");
        for( int i = 0; i < argValues.size(); i++ ) {
            pw.print( ExpressionUtils.getAsStringOrEmpty( (TemplateModel)argValues.get( i )));
            pw.println( "<br>" );
        }
        pw.println( "No events to return today.</p>" );
    }
}
